Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.dispatchers
Class RelatesToBasedServiceDispatcher

    java.lang.Object
      org.apache.axis2.handlers.AbstractHandler
          org.apache.axis2.dispatchers.AbstractServiceDispatcher
              org.apache.axis2.dispatchers.RelatesToBasedServiceDispatcher

All Implemented Interfaces:
  Handler

    public class RelatesToBasedServiceDispatcher

extends AbstractServiceDispatcher

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.axis2.engine.Handler
`Handler.InvocationResponse`

Field Summary
`static String` | `NAME`

Fields inherited from class org.apache.axis2.handlers.AbstractHandler
`handlerDesc`

Constructor Summary
`RelatesToBasedServiceDispatcher()`

Method Summary
`AxisService` | `findService(MessageContext messageContext)` Called by Axis Engine to find the service.
`void` | `initDispatcher()`

Methods inherited from class org.apache.axis2.dispatchers.AbstractServiceDispatcher
`invoke`

Methods inherited from class org.apache.axis2.handlers.AbstractHandler
`cleanup, flowComplete, getHandlerDesc, getName, getParameter, init, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

Constructor Detail

### RelatesToBasedServiceDispatcher

    public RelatesToBasedServiceDispatcher()

Method Detail

### findService

    public AxisService findService(MessageContext messageContext)
                            throws AxisFault

  Description copied from class: `AbstractServiceDispatcher`
  Called by Axis Engine to find the service.

  Specified by:
    `findService` in class `AbstractServiceDispatcher`
  Returns:
    Returns AxisService.
  Throws:
    `AxisFault`

### initDispatcher

    public void initDispatcher()

  Specified by:
    `initDispatcher` in class `AbstractServiceDispatcher`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.